%define name	pop-before-smtp
%define version	1.28
%define	release	1mdk

Summary:	Watch log for pop/imap auth, notify Postfix to allow relay
Name:		%{name}
Version:	%{version}
Release:	%{release}
Source:		https://fridge.oven.com/~bet/src/pop-before-smtp-%{PACKAGE_VERSION}.tar.bz2
Patch1:		pop-before-smtp.init.diff.bz2
Patch2:		pop-before-smtp-1.28.mailinfo.diff.bz2
URL:		http://people.oven.com/bet/pop-before-smtp/
License:	BSD like
Group:		System/Servers
BuildArch:	noarch
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot
Requires:	perl
Requires:	perl-File-Tail, perl-Time-HiRes, perl-DB_File, perl-Net-Netmask
Requires:	perl-TimeDate

%description
Spam prevention requires preventing open relaying through email
servers. However, legit users want to be able to relay. If legit
users always stayed in one spot, they'd be easy to describe to the
daemon. However, what with roving laptops, logins from home, etc.,
legit users refuse to stay in one spot.

pop-before-smtp watches the mail log, looking for successful
pop/imap logins, and posts the originating IP address into a
database which can be checked by Postfix, to allow relaying for
people who have recently downloaded their email.

%prep
%setup -q
%patch1 -p 0 -b .with-reload
%patch2 -p 1 -b .maillog-location

%build
rm -rf %{buildroot}
pod2man pop-before-smtp > pop-before-smtp.8 2>/dev/null

%install
mkdir -p %{buildroot}{%{_initrddir},%{_sbindir},%{_mandir}/man8}
#cp pop-before-smtp.init	%{buildroot}%{_initrddir}/pop-before-smtp
cp contrib/init-redhat-alex	%{buildroot}%{_initrddir}/pop-before-smtp
cp pop-before-smtp		%{buildroot}%{_sbindir}
cp pop-before-smtp.8		%{buildroot}%{_mandir}/man8

%post
%_post_service pop-before-smtp

%preun
%_post_service pop-before-smtp

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root)
%doc README TODO COPYING contrib
%doc %{_mandir}/man8/pop-before-smtp.8*
%attr(0755, root, root) %{_sbindir}/pop-before-smtp
%attr(0755, root, root) %config(noreplace) %{_initrddir}/pop-before-smtp

%changelog
* Fri Mar  1 2002 Alexander Skwar <ASkwar@DigitalProjects.com> 1.28-1mdk
- First release for Mandrake Linux

